<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0
  http://maven.apache.org/xsd/settings-1.0.0.xsd">

  <servers>
    <server>
      <id>jboss-snapshots-repository</id>
      <username>hudson-services</username>
      <password>fiNi83Noauqw</password>
    </server>
  </servers>

  <mirrors>
    <mirror>
        <id>mirror-central</id>
        <mirrorOf>external:*</mirrorOf>
        <url>https://${env.LOCAL_NEXUS_IP}:8443/nexus/content/groups/kie-all/</url>
    </mirror>
  </mirrors>

  <profiles>
    <profile>
      <id>internal-npm-registry</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <npmRegistryURL>${env.NPM_REGISTRY_URL}</npmRegistryURL>
        <yarnDownloadRoot>http://download.devel.redhat.com/rcm-guest/staging/rhba/dist/yarn/</yarnDownloadRoot>
        <nodeDownloadRoot>http://download.devel.redhat.com/rcm-guest/staging/rhba/dist/node/</nodeDownloadRoot>
        <npmDownloadRoot>http://download.devel.redhat.com/rcm-guest/staging/rhba/dist/npm/</npmDownloadRoot>
      </properties>
    </profile>

    <profile>
      <id>repository-for-snapshots</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <!-- M2 Central repository with snapshots enabled - required to be able to resolve snapshots via mirror -->
      <repositories>
        <repository>
          <id>central</id>
          <name>Central Repository</name>
          <url>https://repo.maven.apache.org/maven2</url>
          <layout>default</layout>
          <snapshots>
            <enabled>true</enabled>
          </snapshots>
          <releases>
            <enabled>true</enabled>
          </releases>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>central</id>
          <name>Central Repository</name>
          <url>https://repo.maven.apache.org/maven2</url>
          <layout>default</layout>
          <snapshots>
            <enabled>true</enabled>
          </snapshots>
          <releases>
            <enabled>true</enabled>
          </releases>
        </pluginRepository>
      </pluginRepositories>
    </profile>
  </profiles>
</settings>